#div1{
	background-color: darkred;
	display: block;
}

#span1{
	background-color: indianred;
	display: inline-block;
}
#div2{
	background-color: red;
	display: block;
}

#span2{
	background-color: orangered;
	display: inline;
}

#img1{
	display: inline-block;
	width: 250px;
	height: 250px;
}

#p1{
	background-color: #87CEFA;
}

#p2{
	background-color: rgb(255, 105, 180);
	width: 60%;
}

#p3{
	background-color: yellow;
	width: 30%;
}

.sample{
	display: inline-block;
	width: 30%;
	border: 5px solid red;
	text-align: center;

}

#imgfloat{
	width: 250px;
	height: 250px;
	/* inherit  */
	float: inherit;
}

.box{
	background-color: red;
	border: 4px solid black;
	margin: 5px;
}

.fiftypercent{
	width: 50%;
}

.hundredpixels{
	width: 100px;
}

.parent{
	width: 135px;
	border: 3px solid navy;
}

.background{
	min-height: 20rem;
	/*background-color: gray;*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	background-repeat: no-repeat;
	background-size: 100%;
	background-position: center top;
	/* fixed | scroll */
	background-attachment: scroll;
}

.bgTitle{
	color: white;
	text-align: center;
	font-size: 5rem;
	margin: 0;
	line-height: 10rem;
}

.bgContainer{
	background-color: rgb(0, 0, 0, 0.8);
	/* vh view height */
	min-height: 100vh;
}

.parentElement{
	background-color: skyblue; 
	padding: 10px;
	/* recognizes child vice versa */
	position: relative;

}

.child1{
	background-color: gray;
	padding: 10px;
}

.child2{
	background-color: green;
	padding: 10px;
	top: 10px;
	/* 
	absolute top chaos
	relative stays within parent
	static stays
	fixed fixed to screen will follow
	sticky follows descent and sticks when scrolled up 
	*/
	position: sticky;
	z-index: 1;
}

.child3{
	background-color: yellow;
	padding: 10px;
	z-index: 12;
}

.container{
	position: relative;

}

.blackBox{
	position: relative;
	z-index: 2;
	border: 3px solid black;
	height: 100px;
	margin: 30px;
	background-color: yellow;
}

.grayBox{
	position: relative;
	background-color: hotpink;
	z-index: 1;
	border: 2px solid black;
	margin: 30px;
	height: 60px;
	width: 70%;
	left: 50px;
	top: -90px;
}